[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.4013965.svg)](https://doi.org/10.5281/zenodo.4013965)

# FLEET
FLEET is the *Finding Luminous and Exotic Extragalactic Transients* package, a machine learning pipeline desgined to find the most likely superluminous supernovae (SLSNe) and tidal disruption events (TDEs) from transient surveys.

* Documentation: [https://fleet-pipe.readthedocs.io/](https://fleet-pipe.readthedocs.io/)
* Code: [https://github.com/gmzsebastian/fleet](https://github.com/gmzsebastian/fleet)
* License: MIT

![Tests](https://github.com/gmzsebastian/fleet/actions/workflows/ci_tests.yml/badge.svg)
![License](http://img.shields.io/badge/license-MIT-blue.svg)
[![Coverage Status](https://coveralls.io/repos/github/gmzsebastian/fleet/badge.svg?branch=main)](https://coveralls.io/github/gmzsebastian/fleet?branch=main)

<p align="center"><img src="FLEET_scheme.png" align="center" alt="FLEET_scheme" width="900"/></p>

## Citation

If you use FLEET, please cite the original paper at https://ui.adsabs.harvard.edu/abs/2020ApJ...904...74G.

If you use FLEET to search for TDEs, please cite the corresponding paper with that expansion at https://ui.adsabs.harvard.edu/abs/2023ApJ...949..113G/.

The paper describing the first two years of operations in search for SLSNe can be found at https://arxiv.org/abs/2210.10811

For instructions on how to install and use FLEET, see the documentation at http://fleet-pipe.readthedocs.io/.

## License

Copyright 2025 Sebastian Gomez and contributors.

`fleet` is free software made available under the MIT License. For details see the LICENSE file.
